# 获取国家列表

#### 接口方法

- getCountry


#### 请求方式：

- POST


#### 请求示例:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "pageSize":1,
				  "page":1
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getCountry</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |
| :------------ | :------------ | :------------ | :------------ |
|pageSize   |int |是  |每页数据长度   |
|page   |int |是  |当前页   |



#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "count":"2",
				  "data":[
					{
					  "country_code":"GB",
					  "country_id":242,
					  "country_name":"英国",
					  "country_name_en":"UNITED KINGDOM"
					},
					{
					  "country_code":"US",
					  "country_id":243,
					  "country_name":"美国",
					  "country_name_en":"UNITED STATES"
					}
				  ],
				  "message":"Success",
				  "nextPage":false,
				  "pagination":{
					"page":2,
					"pageSize":237
				  }
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|country_code   |String   |国家二字码   |
|country_id   |int   |国家id   |
|country_name   |String   |国家中文名   |
|country_name_en   |String   |国家英文名  |